<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup Label="Globals">
    <SccProjectName>SAK</SccProjectName>
    <SccProvider>SAK</SccProvider>
    <SccAuxPath>SAK</SccAuxPath>
    <SccLocalPath>SAK</SccLocalPath>
  </PropertyGroup>

  <PropertyGroup>
    <TargetFramework>netcoreapp2.0</TargetFramework>
    <PreserveCompilationContext>true</PreserveCompilationContext>
    <AssemblyName>ASPNETCore_NETCore</AssemblyName>
    <OutputType>Exe</OutputType>
    <PackageId>ASPNETCore_NETCore</PackageId>
    <UserSecretsId>aspnet-ITVisions-ad69a949-7ec7-4fc6-b9aa-0363c6b0a4db</UserSecretsId>
    <RuntimeFrameworkVersion>2.0</RuntimeFrameworkVersion>
   <AssetTargetFallback>$(AssetTargetFallback);portable-net45+win8+wp8+wpa81;</AssetTargetFallback>
    <ApplicationIcon />
    <Win32Resource />
   <NoWarn>NU1605</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <None Update="wwwroot\**\*;Views\**\*;Areas\**\Views">
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </None>
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\..\ITVTagHelper\ITVTagHelper.csproj" />
    <ProjectReference Include="..\..\..\Modell\Modell.csproj" />
  </ItemGroup>

  <ItemGroup>


   <PackageReference Include="Microsoft.AspNetCore.All" Version="2.0.0" />
   
    <PackageReference Include="HtmlMinificationMiddleware" Version="2.0.1" />
   <PackageReference Include="BundlerMinifier.Core" Version="2.2.306" />
   <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="2.0.2" />
   <PackageReference Include="System.ComponentModel.Annotations" Version="4.4.0" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="Views\Home\Cookies.cshtml">
      <Pack>$(IncludeRazorContentInPack)</Pack>
    </Content>
  </ItemGroup>

  <Target Name="PrepublishScript" BeforeTargets="PrepareForPublish">
    <!--<Exec Command="bower install" />-->
    <!--<Exec Command="dotnet bundle" />-->
  </Target>

</Project>
